/**
  Since Vaadin24 you can also target elements inside the shadow DOM if they are exposed as "parts".
  For more information see https://vaadin.com/docs/latest/styling/styling-components/parts-and-states
 */

/* Exercise 2 */

vaadin-email-field::part(label) {
    color: red;
}

vaadin-checkbox.green-when-checked[checked] {
    color: green;
}

vaadin-combo-box.yellowBg::part(input-field) {
    background-color: yellow;
}

vaadin-combo-box-overlay.yellowBg::part(overlay) {
    background-color: yellow;
}

/* Exercise 3 */

vaadin-grid::part(warn) {
    color: red;
}

.tangram-class {
    background-color: yellow;
}

.tangram-color-blue {
    color: blue;
}

/* farbenie riadkov alebo buniek v gride */
vaadin-grid::part(text-blue) {
    color: rgb(0, 95, 224);
}

vaadin-grid::part(text-red) {
    color: rgb(255, 64, 0);
}

vaadin-grid::part(text-green) {
    color: rgb(64, 192, 0);
}

vaadin-grid::part(text-magenta) {
    color: rgb(192, 0, 192);
}

/* styling pre selector-tabulku na sposob nasho EOS-LNK oknka */
table.tng-selector {
    border-bottom: 1px solid #ddd;
    background-color: yellow;
}
tr.tng-selector {
    border-bottom: 1px solid blue;
}